Bug 426218 (CVE-2007-6285) - CVE-2007-6285 autofs default doesn't set nodev in /net
Summary: CVE-2007-6285 autofs default doesn't set nodev in /net
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-6285
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 426219 426220 426221 426222 426399 426400 426401
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-19 12:50 UTC by Josh Bressers
Modified: 2021-02-25 17:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-09 09:40:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1176 0 normal SHIPPED_LIVE Important: autofs security update 2007-12-20 19:24:13 UTC
Red Hat Product Errata RHSA-2007:1177 0 normal SHIPPED_LIVE Important: autofs5 security update 2007-12-20 19:43:25 UTC

Description Josh Bressers 2007-12-19 12:50:25 UTC
It was reported to secalert@redhat.com that the autofs defaults do not set the
nodev NFS option.

bug 410031 notes the missing nosuid option by default for the /net autofs
filesystems, the fix for that issue did not take into account that there was
also a missing nodev option for these filesystems.

Without the nodev option, it is possible for an attacker to mount a remote
filesystem which could give them access to various devices that should normally
have restricted access, such as /dev/mem, and various hardware devices.

Acknowledgements:

Red Hat would like to thank Tim Baum for reporting this issue.

Comment 8 Tomas Hoger 2007-12-20 19:19:59 UTC
Lifting embargo.

Comment 9 Tomas Hoger 2007-12-20 19:54:15 UTC
Fixed now in affected version of Red Hat Enterprise Linux:

  https://rhn.redhat.com/errata/RHSA-2007-1176.html
  https://rhn.redhat.com/errata/RHSA-2007-1177.html


Comment 10 Tomas Hoger 2008-01-09 09:40:46 UTC
Updates now available also in stable Fedora repositories:

  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-4709
  https://admin.fedoraproject.org/updates/F8/FEDORA-2007-4707



Note You need to log in before you can comment on or make changes to this bug.